Bug 8197 - Software error when you have cleaned cookies in your browser and try to past the url to opac-topissues.pl
Summary: Software error when you have cleaned cookies in your browser and try to past ...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low normal (vote)
Target Milestone: ---
Assignee: Martin Renvoize
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-06 13:02 UTC by Christophe Croullebois
Modified: 2013-12-05 20:05 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
patch (1.09 KB, patch)
2012-06-06 13:49 UTC, Christophe Croullebois
Details | Diff | Splinter Review
Bug8197:Software error when you have cleaned cookie (1.19 KB, patch)
2012-06-09 10:21 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Christophe Croullebois 2012-06-06 13:02:07 UTC
To test :
for Opera ie :Settings/Delete Private Data/Detailed options => Delete sessions cookies
Paste in your browser : ...cgi-bin/koha/opac-topissues.pl
Without patch you'll have : 
Can't use an undefined value as a HASH reference at ...community/opac/opac-topissues.pl line 133. For help, please send mail to the webmaster.....
This coding error must be tracked in all koha and corrected.
I'll report that fact in an other bug.
For this one it just corrects for opac-topissues.pl page.
Comment 1 Christophe Croullebois 2012-06-06 13:49:33 UTC Comment hidden (obsolete)
Comment 2 Martin Renvoize 2012-06-09 10:21:02 UTC
Created attachment 10001 [details] [review]
Bug8197:Software error when you have cleaned cookie

Error verified as present in master.

Patch tested and working in both Firefox and Chrome.
Comment 3 Paul Poulain 2012-06-10 09:20:58 UTC
QA comment: tiny patch that fixes an obvious problem in the best possible way, passes QA
Comment 4 Chris Cormack 2012-06-10 14:43:18 UTC
Pushed to 3.8.x, will be in 3.8.2